
Redmine - Feature #2069

Wiki syntax to link to files in the files-module

2008-10-22 21:22 - Chad Metcalf

Status: New Start date: 2008-10-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: Unplanned backlogs   

Resolution:    

Description

We'd like to use the wiki page the version creates to talk about what is in the version and then link to the files there so people don't

have to then go to the files tab.

files:fileName for example.

Related issues:

Related to Redmine - Feature #543: Wiki links to versions, documents, files Closed

Related to Redmine - Patch #2195: wiki marco to link to files New 2008-11-15

Related to Redmine - Feature #867: Want more wiki link types Closed 2008-03-15

History

#1 - 2008-10-22 21:49 - Mischa The Evil

Additional:

this FR exists due to the known limitation of the syntaxis attachment link-handler that only can be used to reference attachments of the current object

as documented in the detailed syntax description.

#2 - 2008-10-23 09:39 - aruna sarikonda

- % Done changed from 0 to 50

#3 - 2008-10-23 09:39 - aruna sarikonda

- % Done changed from 50 to 0

#4 - 2009-05-16 12:56 - Yuval Hager

bumping. I find it rather limiting that files cannot be attached from other areas.

#5 - 2010-04-08 19:16 - Jose Luna

+1, We would also find this very useful.  I think it would need to be done by filename instead of id, but it seems pretty simple to implement.

#6 - 2010-07-14 16:58 - Tkachenko Sergey

+1 we need it

#7 - 2010-08-13 08:02 - Lars Erik Gullerud

+1. We currently need to paste full URLs to the object to get this functionality, but it would reduce maintenance quite a bit if one could link directly to

objects in the files module.

#8 - 2010-12-15 14:50 - Yaroslav Matsera

+1 I need it too

#9 - 2010-12-15 17:07 - Terence Mill

+1

#10 - 2011-03-08 16:15 - Ladislav Nesnera

+1
#11 - 2011-08-01 14:24 - Anonymous

+1

#12 - 2011-10-06 15:18 - Frank Schwarz

+1

#13 - 2011-10-06 18:36 - Etienne Massip

Lars Erik Gullerud wrote:

+1. We currently need to paste full URLs to the object to get this functionality.

 You can use some mixed syntax like :

"Download patch":/attachments/download/18

 Result : Download patch

#14 - 2012-05-14 14:30 - Stanislav German-Evtushenko

+1

#15 - 2012-05-14 14:40 - Stanislav German-Evtushenko

duplicates #543

#16 - 2012-12-04 21:12 - Andriy Lesyuk

WikiNG now supports file#<id> and file:<name>. See: http://projects.andriylesyuk.com/projects/wiking

#17 - 2013-03-17 05:44 - Mischa The Evil

- Target version set to Unplanned backlogs

#18 - 2013-04-01 04:43 - Shouka Baku

Is it possible to download file from remote file server?

I tried to make a wiki links like this on version 2.2.3 but it doesn't work.

"Link text":file://127.0.0.1/Shared/file.txt

"Link text":file://///127.0.0.1/Shared/file.txt

Anyone please help.

#19 - 2013-04-01 07:38 - Stanislav German-Evtushenko

Shouka Baku wrote:

Is it possible to download file from remote file server?

I tried to make a wiki links like this on version 2.2.3 but it doesn't work.

"Link text":file://127.0.0.1/Shared/file.txt

"Link text":file://///127.0.0.1/Shared/file.txt

Anyone please help.

 "file://somehost/dir/file" is "Windows + Internet Explorer" related stuff and not general.

#20 - 2015-06-20 14:31 - Evgeniy Dushistov

+1

#21 - 2016-08-19 11:08 - Anonymous

+1

#22 - 2016-08-19 13:54 - Toshi MARUYAMA

- Category changed from Wiki to Text formatting

#23 - 2017-02-01 21:58 - Christopher Breen
+1

#24 - 2017-02-15 20:41 - Ezequiel Nicolazzi

+1

It's been 8 years since this issue was first referenced. I am not a ruby programmer, but is this THAT difficult to perform?

#25 - 2017-09-17 02:07 - Mischa The Evil

- File rm2069.patch added

Here's a (preliminary, not-well tested) patch (taken from SVN), which I extracted from Andriy Lesyuk's WikiNG plugin, implementing this feature for

the current trunk at r16970. It is not complete yet, though. Todo:

add tests;

test filenames with spaces surrounded by quotes;

test interproject file links.

Files

rm2069.patch 2.97 KB 2017-09-17 Mischa The Evil
